4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.Exslt.Common

EXSLT 2.0 - Common (http://www.exslt.org/exsl/index.html)

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: DocumentElement |  |  |  | Functions: NodeSet, ObjectType |  |  |  | Globals: EXSL_COMMON_NS, ExtElements, ExtFunctions, ExtNamespaces, FT_EXT_NAMESPACE

## Classes

class DocumentElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
  For the basic specification, see: http://www.exslt.org/exsl/elements/document/index.html The only URI scheme supported by 4Suite currently is 'file:' Security note: As a precaution, if you try to overwrite an existing file, it will be saved to a temporary file (there will be a warning with the file name). If this this precaution fails, the instruction will abort. You can override this precaution, always allowing the function to overwrite a document by using the f:overwrite-okay extension attribute.

  ### Methods

  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement
  setup(self)
    Overrides: setup from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime

  ### Members

  content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
  doesSetup = True
  legalAttrs = {'cdata-section-elements': <Ft.Xml.Xslt.AttributeInfo.QNamesAvt instance>, 'doctype-public': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'doctype-system': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'encoding': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'f:overwrite-safeguard': <Ft.Xml.Xslt.AttributeInfo.YesNoAvt instance>, 'f:utfbom': <Ft.Xml.Xslt.AttributeInfo.YesNoAvt instance>, 'href': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'indent': <Ft.Xml.Xslt.AttributeInfo.YesNoAvt instance>, 'media-type': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'method': <Ft.Xml.Xslt.AttributeInfo.QNameAvt instance>, ...}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, expandedName, importIndex, lineNumber, nodeName, parent, root

## Functions

NodeSet(context, obj)
  The purpose of the exsl:node-set function is to return a node-set from a result tree fragment. If the argument is a node-set already, it is simply returned as is. If the argument to exsl:node-set is not a node-set or a result tree fragment, then it is converted to a string as by the string() function, and the function returns a node-set consisting of a single text node with that string value.

      The exsl:node-set function does not have side-effects: the result tree
      fragment used as an argument is still available as a result tree fragment
      after it is passed as an argument to exsl:node-set.

ObjectType(context, obj)
  The exsl:object-type function returns a string giving the type of the object passed as the argument. The possible object types are: 'string', 'number', 'boolean', 'node-set', 'RTF' or 'external'.

## Globals

EXSL_COMMON_NS = 'http://exslt.org/common'
ExtElements = {('http://exslt.org/common', 'document'): <class Ft.Xml.Xslt.Exslt.Common.DocumentElement>}
ExtFunctions = {('http://exslt.org/common', 'node-set'): <function NodeSet>, ('http://exslt.org/common', 'object-type'): <function ObjectType>}
ExtNamespaces = {'http://exslt.org/common': 'exsl'}
FT_EXT_NAMESPACE = 'http://xmlns.4suite.org/ext'